Reports.GetOrdersCompleted
Try it in Swagger
Endpoint
- Method:
GET
- Route:
Reports/OrdersCompleted/{strDateStart}/{strDateEnd}
- Authentication:
Authorize
Request Schema
| Header |
Required |
Notes |
X-Api-Key |
Required when tenant is not resolved by subdomain |
Resolves the tenant/customer database. |
Authorization: Bearer {token} |
Required for authorized endpoints |
Get a token from Auth/Token or Session/Create. |
Path Parameters
| Field |
Type |
Required |
Notes |
strDateStart |
string |
Yes |
Route segment. |
strDateEnd |
string |
Yes |
Route segment. |
This endpoint does not accept a JSON request body.
Expected Response Schema
Status Codes
| Status |
Notes |
200 OK |
Returned by the controller for this operation. |
Success Body
Response type: IReadOnlyList<OrdersCompletedReportDataDto>
| Field |
Type |
Max Length |
Notes |
invoice |
string |
|
|
enteredDate |
DateTime |
|
|
completedDate |
DateTime |
|
|
invoicedAmount |
decimal |
|
|
paidAmount |
decimal |
|
|
billToCustomerCode |
string |
|
|
Response Sample
[
{
"invoice": "INV-123456",
"enteredDate": "2026-05-07T00:00:00",
"completedDate": "2026-05-07T00:00:00",
"invoicedAmount": 123.45,
"paidAmount": 123.45,
"billToCustomerCode": "ABC001"
}
]